Studio add section commit (phase 2)
curl --request POST \
--url https://api.mountsea.ai/suno/v2/studio/addSectionCommit \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"candidate_clip_id": "<string>",
"clip_id": "<string>",
"title": "<string>"
}
'import requests
url = "https://api.mountsea.ai/suno/v2/studio/addSectionCommit"
payload = {
"candidate_clip_id": "<string>",
"clip_id": "<string>",
"title": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({candidate_clip_id: '<string>', clip_id: '<string>', title: '<string>'})
};
fetch('https://api.mountsea.ai/suno/v2/studio/addSectionCommit', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"taskId": "15c257ff-43f7-4678-bd41-202ad6b8488b"
}Studio
Studio 提交插入段落
阶段二 — 提交选定的插入段落候选
POST
/
suno
/
v2
/
studio
/
addSectionCommit
Studio add section commit (phase 2)
提交在 插入段落 中选定的候选。通过 查询任务状态 轮询至
属于 Studio 编辑。
成功后
success。
免费(0 积分)。只需传
candidate_clip_id — 服务端据此反查阶段一 addSection 任务,读取 Studio 工程上下文并复用同一账号。不需要 taskId(也不接收该字段)。参数
| 字段 | 类型 | 必填 | 说明 |
|---|---|---|---|
candidate_clip_id | string | 是 | 阶段一 clips 中选中的候选 id(据此反查阶段一任务) |
clip_id | string | 否 | 源曲 clip_id,用于校验与互斥锁;不传则用阶段一 studio.clip_id |
title | string | 否 | 最终新歌标题 |
beat | object | 否 | 提交导出时可选节拍器(enabled,可选 bpm / time_signature)。阶段一 addSection 不使用 — 见 Studio 编辑 |
data 为导出的整曲新歌 clip(已含新段落)。
流程
- 阶段一
addSection成功 → 从data.clips选定一个 id - 阶段二 commit 传入该
candidate_clip_id(可选再传源曲clip_id) - 轮询 commit 返回的新
taskId直至success
示例
curl -X POST https://api.mountsea.ai/suno/v2/studio/addSectionCommit \
-H "Authorization: Bearer your-api-key" \
-H "Content-Type: application/json" \
-d '{
"candidate_clip_id": "CANDIDATE_CLIP_ID",
"clip_id": "SOURCE_CLIP_ID",
"title": "with-new-section"
}'
授权
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
请求体
application/json
响应
201 - application/json
task id. Use this id to query task status.
示例:
"15c257ff-43f7-4678-bd41-202ad6b8488b"